#define L_LINE_PIN A0 // Levý senzor čáry je připojen k pinu A0
#define M_LINE_PIN A1 // Prostřední senzor čáry je připojen k pinu A1
#define R_LINE_PIN A2 // Pravý senzor čáry je připojen k pinu A2

#define LED_PIN 13 // Integrovaná LED na desce Arduina na pinu 13

void setup(){
    pinMode(L_LINE_PIN, INPUT); // Nastaví piny se senzory jako vstupní
    pinMode(M_LINE_PIN, INPUT);
    pinMode(R_LINE_PIN, INPUT);
    pinMode(LED_PIN, OUTPUT); // Nastaví pin s LED jako výstupní
}

void loop(){
    bool left = digitalRead(L_LINE_PIN); // Do proměnných se zapíšou výstupní hodnoty ze senzorů
    bool middle = digitalRead(M_LINE_PIN);
    bool right = digitalRead(R_LINE_PIN);
    
    if(left or middle or right){ // Pokud alespoň jeden ze senzorů vidí tmavou barvu
        digitalWrite(LED_PIN, HIGH); // Rozsvítí se integrovaná LED
    }
    else{ // V opačném případě
        digitalWrite(LED_PIN, LOW); // Integrovaná LED zhasne
    }
}
