#define LED_PIN 13 // Nastav v7stupn9 pin na integrovanou LED

byte btData; // Proměnná pro uchování příchozích dat z modulu

void setup(){ 
    Serial.begin(9600); // Zahájí komunikaci s Bluetooth modulem
    pinMode(LED_PIN, OUTPUT);
}

void loop(){ 
    if(Serial.available()){ // Pokud jsou dostupná data z modulu
        btData = Serial.read(); // Data z modulu uloží do proměnné btData
        if(btData == 'A'){ // Pokud jsou přijatá data 'A'
            digitalWrite(LED_PIN, HIGH); // Rozsvítí LED
            delay(250); // Čeká 250 milisekund
            digitalWrite(LED_PIN, LOW); // Zhasne LED
            delay(250); // Čeká 250 milisekund
            Serial.println("Prikaz proveden"); // Do mobilního telefonu odešle zpětnou vazbu
        }else{ // Pokud jsou přijatá data cokoli jiného než 'A'
            Serial.println("Neplatny prikaz"); // Do mobilního telefonu odešle zpětnou vazbu
        }
    }
}
