#include <Servo.h> // Knihovna pro servo

#define SERVO_PIN 11

Servo myservo;  // Vytvoří objekt typu Servo
// U většiny desek lze vytvořit až 12 objektů Servo

int pos = 0;    // Proměnná, která uchovává pozici serva

void setup(){
    myservo.attach(SERVO_PIN);  // Připojí servo k pinu 11
}

void loop(){
    for(pos = 0; pos <= 180; pos += 1){ // Postupuje od 0° až ke 180°
        // po krocích 1°
        myservo.write(pos);              // Nastaví servo do pozice uchované v proměnné pos
        delay(15);                       // Čeká 15 milisekund
    }
    for(pos = 180; pos >= 0; pos -= 1){ // Jde zpět ze 180° na 0°
        myservo.write(pos);              // Nastaví servo do pozice uchované v proměnné pos
        delay(15);                       // Čeká 15 milisekund
    }
}
