#include "SR04.h" // Knihovna pro ultrazvuk
#define TRIG_PIN 3 // Pin trigger je připojen k pinu 3 Arduina
#define ECHO_PIN 2 // Pin echo je připojen k pinu 2 Arduina

SR04 sr04 = SR04(ECHO_PIN,TRIG_PIN); // Vytvoří objekt SR04
long distance; // Proměnná pro uchování vzdálenosti

void setup(){
    Serial.begin(9600); // Zahájí komunikaci s počítačem po sériovém portu
    delay(1000); // Počká 1000 milisekund
}

void loop() {
    distance = sr04.Distance(); // Funkce změří vzdálenost a zapíše ji do proměnné distance
    Serial.print(distance); // Vypsání vzdálenosti na sériový port
    Serial.println(" cm"); // Vypíše " cm" a ukončí řádek
    delay(500); // Počká 500 ms do dalšího měření
}
