#include <IRremote.h> // Knihovna pro IR přijímač
#define RECV_PIN 12 // Výstup senzoru je připojen k pinu 12

IRrecv irrecv(RECV_PIN); // Objekt IRrecv připojen k pinu RECV_PIN
decode_results results; // Objekt decode_results pro ukládání výsledků

void setup(){
    Serial.begin(9600); // Zahájí komunikaci přes sériový port
    irrecv.enableIRIn(); // Začne přijímat IR signály
}

void loop(){
    if(irrecv.decode(&results)){ // Pokud je přijat IR signál
        Serial.println(results.value, HEX); // Vypíše hodnotu v hexadecimální soustavě na sériový port
        irrecv.resume(); // Přijme další hodnotu
    }
}
